Bug 846374 - Could you update rrdtool in epel5 to match the other releases?
Could you update rrdtool in epel5 to match the other releases?
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: rrdtool (Show other bugs)
el5
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 11:13 EDT by d. johnson
Modified: 2017-04-06 06:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:34:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ruby-RRDtool proposed build fix (638 bytes, patch)
2012-08-29 06:20 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description d. johnson 2012-08-07 11:13:35 EDT
Description of problem:

rrdtool-1.2.27-3.el5 is old and outdated.  The newer version found in el6, and Fedora provides a significant performance improvement as well as bugfixes.

Version-Release number of selected component (if applicable):

rrdtool-1.2.27-3.el5

How reproducible:

Easily.

Steps to Reproduce:
1. Install rrdtool-1.2.27-3.el5 and measure your load.
2. Rebuild/install rrdtool-1.4.4-6 and measure load.
3. 
  
Actual results:

http://i.imgur.com/j5kDx.png

after rrdtool going to 1.2 --> 1.4


Expected results:


Additional info:
Comment 1 d. johnson 2012-08-07 11:22:11 EDT
In epel5, the following packages depend on rrdtool:

cacti
collectd-rrdtool
ganglia-web
mailgraph
munin
pnp4nagios
queuegraph
rrdtool-devel
rrdtool-perl
rrdtool-php
rrdtool-python
rrdtool-ruby
rrdtool-tcl
ruby-RRDtool
sysusage

The one pictured above was tested with munin.
Comment 2 Jaroslav Škarvada 2012-08-09 11:47:28 EDT
The build got smoother than expected :) but so far I did only very simple sanity checks, scratch-build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4372177

Binaries seems to work (only very simple functional test performed).

But the SONAME changed, it would require rebuild (and synchronization of updates) for (at least):
collectd
ganglia
ruby-RRDtool

The first two seems to rebuild smoothly, but the last one (ruby-RRDtool) doesn't due to incompatible API. It would require patching (currently beyond my scope). The rest from comment 1 could be OK but I didn't perform functional checks.
Comment 3 d. johnson 2012-08-10 08:41:41 EDT
That sounds problematic.  How about a 'rrdtool14' ?  Would that be possible, so that users could install either one ?
Comment 4 Steve Schnepp 2012-08-10 08:48:35 EDT
(In reply to comment #3)
> That sounds problematic.  How about a 'rrdtool14' ?  Would that be possible,
> so that users could install either one ?

As a side note, rrdtool 1.4 also provides rrdcached, which helps munin2 to scale some orders of magnitude without reverting to tmpfs or SSD.
Comment 5 Jaroslav Škarvada 2012-08-29 06:20:10 EDT
Created attachment 607851 [details]
ruby-RRDtool proposed build fix

The fix for ruby-RRDtool seems easy. Now let's try to synchronize the update :)
Comment 6 Jaroslav Škarvada 2012-08-29 08:02:52 EDT
Sent e-mail to ruby-RRDtool-owner@fedoraproject.org, collectd-owner@fedoraproject.org, ganglia-owner@fedoraproject.org with question regarding this update / request to give me commit rights to perform this update.
Comment 7 Jaroslav Škarvada 2012-09-03 16:03:24 EDT
Got commit rights to collectd and ruby-RRDtool, ganglia still remaining (no reply from maintainers).

Guys, could you test the rrdtool scratch build?
http://fedorapeople.org/~jskarvad/rrdtool/
Comment 8 Kostas Georgiou 2012-09-05 21:34:53 EDT
Unless there is a strong reason (security, major bugs, etc.) a major update shouldn't happen. Have a look at http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies
Comment 9 Japheth Cleaver 2014-02-06 13:22:45 EST
(In reply to Steve Schnepp from comment #4)
> (In reply to comment #3)
> > That sounds problematic.  How about a 'rrdtool14' ?  Would that be possible,
> > so that users could install either one ?
> 
> As a side note, rrdtool 1.4 also provides rrdcached, which helps munin2 to
> scale some orders of magnitude without reverting to tmpfs or SSD.


Would it be possible to proceed with the rrdtool14 solution if we can't do a SONAME bump to the existing package? There's a significant scalability disadvantage with 1.2; whether it's a rebase, additional package, or rename of rrdtool to rrdtool12, any of the solutions would definitely be appreciated.
Comment 10 Jaroslav Škarvada 2014-02-10 10:54:19 EST
From the policy:
> have a mostly stable set of packages that normally does not change at all and only changes if there are good reasons for changes.

Isn't "significant scalability disadvantage" a good reason to change?

> Updated Packages that change the ABI or require config file adjustments must be avoided if at all possible. Compat- Packages that provide the old ABI need to be provided in the repo if there is no way around a package update that changes the ABI.

We could provide the 1.2 compat.
Comment 11 Japheth Cleaver 2014-03-06 16:25:38 EST
What are our options for proceeding on this?
Comment 12 Fedora End Of Life 2017-04-06 06:34:52 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.